# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Public Attributes | List of all members
dirac::MvCostData Class Reference

Class for recording costs derived in motion estimation.

`#include <motion.h>`

## Public Member Functions
| MvCostData ()
| Constructor. More...
void | SetTotal (const float lambda)

## Public Attributes
float | SAD
| The Sum of Absolute Differences - easier to compute than Sum-Squared Differences. More...
float | mvcost
| The (Lagrangian-weighted) motion vector cost - the difference of a motion vector from its neighbouring vectors. More...
float | total
| Total=SAD+mvcost. More...

## Constructor & Destructor Documentation

dirac::MvCostData::MvCostData | ( |  | ) |
| inline

## Member Function Documentation

void dirac::MvCostData::SetTotal | ( | const float | lambda | ) |
| inline

References mvcost, SAD, and total.

## Member Data Documentation

float dirac::MvCostData::mvcost

Referenced by SetTotal().

float dirac::MvCostData::SAD

Referenced by SetTotal().

float dirac::MvCostData::total

Referenced by SetTotal().

The documentation for this class was generated from the following file:

- motion.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.